
From: Kumar Gala <galak@somerset.sps.mot.com>

Remove __setup_cpu_8xx and its initialization in cpu_specs table since it
hasn't every done anything.  This is at Tom Rini's suggestion.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com> 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/cputable.c |    2 --
 25-akpm/arch/ppc/kernel/head_8xx.S |    5 -----
 2 files changed, 7 deletions(-)

diff -puN arch/ppc/kernel/cputable.c~ppc32-remove-__setup_cpu_8xx arch/ppc/kernel/cputable.c
--- 25/arch/ppc/kernel/cputable.c~ppc32-remove-__setup_cpu_8xx	2004-11-10 20:24:21.446028320 -0800
+++ 25-akpm/arch/ppc/kernel/cputable.c	2004-11-10 20:24:21.454027104 -0800
@@ -30,7 +30,6 @@ extern void __setup_cpu_745x(unsigned lo
 extern void __setup_cpu_power3(unsigned long offset, int cpu_nr, struct cpu_spec* spec);
 extern void __setup_cpu_power4(unsigned long offset, int cpu_nr, struct cpu_spec* spec);
 extern void __setup_cpu_ppc970(unsigned long offset, int cpu_nr, struct cpu_spec* spec);
-extern void __setup_cpu_8xx(unsigned long offset, int cpu_nr, struct cpu_spec* spec);
 extern void __setup_cpu_generic(unsigned long offset, int cpu_nr, struct cpu_spec* spec);
 
 #define CLASSIC_PPC (!defined(CONFIG_8xx) && !defined(CONFIG_4xx) && \
@@ -693,7 +692,6 @@ struct cpu_spec	cpu_specs[] = {
 		.icache_bsize		= 16,
 		.dcache_bsize		= 16,
 		.num_pmcs		= 0,
-		.cpu_setup		= __setup_cpu_8xx	/* Empty */
 	},
 #endif /* CONFIG_8xx */
 #ifdef CONFIG_40x
diff -puN arch/ppc/kernel/head_8xx.S~ppc32-remove-__setup_cpu_8xx arch/ppc/kernel/head_8xx.S
--- 25/arch/ppc/kernel/head_8xx.S~ppc32-remove-__setup_cpu_8xx	2004-11-10 20:24:21.448028016 -0800
+++ 25-akpm/arch/ppc/kernel/head_8xx.S	2004-11-10 20:24:21.455026952 -0800
@@ -583,11 +583,6 @@ DataTLBError:
 giveup_fpu:
 	blr
 
-/* Maybe someday.......
-*/
-_GLOBAL(__setup_cpu_8xx)
-	blr
-
 /*
  * This is where the main kernel code starts.
  */
_
